;---------------------------------------------------------------------
load_icons:
	mov	esi,path
	mov	edi,file_name
	call	copy_file_path

	mov	[fileinfo.subfunction],dword 5
	mov	[fileinfo.size],dword 0
	mov	[fileinfo.return],dword file_info
	mcall	70,fileinfo
	test	eax,eax
	jnz	.error

	mov	[fileinfo.subfunction],dword 0

	mov	ecx,[file_info+32]
	mov	[fileinfo.size],ecx
	mov	[img_size],ecx
	
	mcall	68,12
	test	eax,eax
	jz	memory_get_error

	mov	[fileinfo.return],eax
	mov	[image_file],eax

	mcall	70,fileinfo
	test	eax,eax
	jnz	.error
	ret
.error:
	mov	[N_error],2
	mov	[error_type],eax
	jmp	button.exit
;---------------------------------------------------------------------
copy_file_path:
	xor	eax,eax
	cld
@@:
	lodsb
	stosb
	test	eax,eax
	jnz	@b
	mov	esi,edi
	dec	esi
	std
@@:
	lodsb
	cmp	al,'/'
	jnz	@b
	mov	edi,esi
	add	edi,2
	mov	esi,ebx
	cld
@@:
	lodsb
	stosb
	test	eax,eax
	jnz	@b
	ret
;---------------------------------------------------------------------
load_and_convert_all_icons:
; load and conver ground icons	
	mov	ebx,ground_icons_file_name
	call	load_icons
	call	convert_icons
	
	mov	eax,[raw_pointer]
	mov	[ground_icons],eax
; load and conver alien
	mov	ebx,alien_icons_file_name	
	call	load_icons
	call	convert_icons
	
	mov	eax,[raw_pointer]
	mov	[alien_icons],eax
; load and conver skeleton
	mov	ebx,skeleton_icons_file_name	
	call	load_icons
	call	convert_icons
	
	mov	eax,[raw_pointer]
	mov	[skeleton_icons],eax
; load and conver protagonist icons
	mov	ebx,protagonist_icons_file_name	
	call	load_icons
	call	convert_icons
	
	mov	eax,[raw_pointer]
	mov	[protagonist_icons],eax
; load and conver red brick
	mov	ebx,red_brick_icons_file_name	
	call	load_icons
	call	convert_icons
	
	mov	eax,[raw_pointer]
	mov	[red_brick_icons],eax
; load and conver white brick
	mov	ebx,white_brick_icons_file_name	
	call	load_icons
	call	convert_icons
	
	mov	eax,[raw_pointer]
	mov	[white_brick_icons],eax
	ret
;---------------------------------------------------------------------